## dpatch 2.0.38+nmu1

=== dpep/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-edit-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/
	install -d ${DESTDIR}${pkgdatadir}
	install --mode 0755 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
	install -d ${DESTDIR}${completiondir}/
	install -m 0644	dpatch_edit_patch.bash_completion.d \
		${DESTDIR}${completiondir}/dpatch_edit_patch

=== samples/Makefile ===
top_srcdir	:= ..

include ../config.mk

SAMPLES		= sample.00template

all clean: ;

install:
	${MAKE} -C rules $@
	${MAKE} -C dpatch $@
	install -d ${DESTDIR}${sampledir}
	install -m 0644 ${SAMPLES} ${DESTDIR}/${sampledir}/

# arch-tag: e7d31caf-a56d-4006-8982-ead43c005e57

=== samples/dpatch/Makefile ===
top_srcdir	:= ../..

include ../../config.mk

SAMPLES		= 01_config.dpatch

all clean: ;

install:
	install -d ${DESTDIR}${sampledir}/dpatch
	install -m 0644 ${SAMPLES} ${DESTDIR}/${sampledir}/dpatch/

# arch-tag: d16a7900-a9c3-4750-9ed4-ffd07f120bdb

=== debian/control ===
Source: dpatch
Section: vcs
Priority: optional
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Standards-Version: 3.9.6
Build-Depends-Indep: debhelper (>= 9~), perl
Vcs-Git: git://anonscm.debian.org/dpatch/dpatch.git
Vcs-Browser: http://anonscm.debian.org/cgit/dpatch/dpatch.git/

Package: dpatch
Architecture: all
Multi-Arch: foreign
Depends: bash (>= 3.0-6), dpkg-dev, ${perl:Depends}, ${misc:Depends}
Recommends: fakeroot, patchutils
Suggests: curl
Description: patch maintenance system for Debian source packages
 dpatch is an easy to use patch system for Debian packages, somewhat
 similar to the dbs package, but much simpler to use.
 .
 It lets you store patches and other simple customization templates in
 debian/patches and otherwise does not require much reorganization of
 your source tree. To get the patches applied at build time you simply
 need to include a makefile snippet and then depend on the
 patch/unpatch target in the build or clean stage of debian/rules - or
 you can use the dpatch patching script directly.
 .
 It can easily apply patches only on specific architectures if needed.

## dpatch 2.0.38+nmu2

=== debian/changelog ===
dpatch (2.0.38+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:26:53 +0800

## dpatch 2.0.39

=== Makefile ===
top_srcdir	= .

include config.mk

all .DEFAULT:
	${MAKE} -C compat $@
	${MAKE} -C dpatch $@
	${MAKE} -C dpep $@
	${MAKE} -C debhelper $@
	${MAKE} -C samples $@
	${MAKE} -C scripts $@

.PHONY: all

# arch-tag: d6597b23-ddec-4898-89e9-b45d313f9d1d

=== debian/changelog ===
dpatch (2.0.39) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Changed VCS fields to use Salsa.
  * debian/tests/control: created to provide a very trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Sep 2019 08:37:15 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dpatch
 Section: vcs
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Standards-Version: 3.9.6
-Build-Depends-Indep: debhelper (>= 9~), perl
-Vcs-Git: git://anonscm.debian.org/dpatch/dpatch.git
-Vcs-Browser: http://anonscm.debian.org/cgit/dpatch/dpatch.git/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), perl
+Vcs-Browser: https://salsa.debian.org/debian/dpatch
+Vcs-Git: https://salsa.debian.org/debian/dpatch.git
 
 Package: dpatch
 Architecture: all

=== debian/tests/control ===
Test-Command: dpatch version

## dpatch 2.0.40

=== debian/changelog ===
dpatch (2.0.40) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Debian Janitor ]
  * Use versioned copyright format URI.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 25 Mar 2020 23:44:34 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12), perl
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dpatch
 Vcs-Git: https://salsa.debian.org/debian/dpatch.git

## dpatch 2.0.40.0antix1

=== debian/changelog ===
dpatch (2.0.40.0antix1) unstable; urgency=medium

  * antiX bookworm build

 -- anticapitalista <antix@operamail.com>  Sun, 19 Mar 2023 12:23:54 +0200

dpatch (2.0.41) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/tests/control: set a CI test as superficial. (Closes: #969821)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 15:16:31 -0300

## dpatch 2.0.41

=== debhelper/Makefile ===
top_srcdir	:= ..

include ../config.mk

all:
	pod2man -c Debhelper dh_dpatch_patch dh_dpatch_patch.1
	pod2man -c Debhelper dh_dpatch_unpatch dh_dpatch_unpatch.1

clean:
	rm -f dh_dpatch_patch.1 dh_dpatch_unpatch.1

install: all
	install -d ${DESTDIR}${man1dir} \
		   ${DESTDIR}${bindir} \
		   ${DESTDIR}/usr/share/perl5/Debian/Debhelper/Sequence/
	install --mode 0644 dh_dpatch_patch.1 \
			    dh_dpatch_unpatch.1 \
			    ${DESTDIR}${man1dir}/
	install --mode 0755 dh_dpatch_patch \
			    dh_dpatch_unpatch \
			    ${DESTDIR}${bindir}
	install --mode 0644 dpatch.pm \
			    ${DESTDIR}/usr/share/perl5/Debian/Debhelper/Sequence/

=== dpatch/Makefile ===
top_srcdir	:= ..

DPATCH_SRCS	:= $(shell sed -n s/^\#:include//p dpatch.shpp)

include ../config.mk

all: dpatch dpatch-run dpatch.lib.sh

dpatch: dpatch.shpp ../debian/changelog ${DPATCH_SRCS}

	DPATCH_REVISION="${DPATCH_REVISION}" \
	  SYSCONFDIR="${sysconfdir}" ../tools/shpp.awk <dpatch.shpp >dpatch
	chmod +x dpatch

dpatch-run: dpatch-run.shpp
	../tools/shpp.awk <dpatch-run.shpp >dpatch-run

dpatch.lib.sh: dpatch.lib.shpp
	../tools/shpp.awk <dpatch.lib.shpp >dpatch.lib.sh

clean:
	rm -f dpatch dpatch-run dpatch.lib.sh

install: all
	install -d ${DESTDIR}${bindir} \
		   ${DESTDIR}${man1dir} \
		   ${DESTDIR}${man7dir} \
		   ${DESTDIR}${pkgdatadir}
	install --mode 0755 dpatch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch.1 ${DESTDIR}${man1dir}/
	install --mode 0644 dpatch.7 ${DESTDIR}${man7dir}/
	install --mode 0644 dpatch-run ${DESTDIR}${pkgdatadir}/
	install --mode 0644 dpatch.lib.sh ${DESTDIR}${pkgdatadir}/

.PHONY: all clean install
.SUFFIXES:

# arch-tag: ae9d044e-94e2-4692-9a3d-fbff280e147e

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), perl
+Build-Depends: debhelper-compat (= 13), perl
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dpatch
 Vcs-Git: https://salsa.debian.org/debian/dpatch.git

=== debian/tests/control ===
Test-Command: dpatch version
Restrictions: superficial

## dpatch 2.0.41+aatgv1

=== debian/changelog ===
dpatch (2.0.41+aatgv1) unstable; urgency=medium

  * Build for m-privacy

 -- Amon Ott <ao@m-privacy.de>  Wed, 10 Sep 2025 08:54:24 +0200

## dpatch 2.0.42

=== debian/changelog ===
dpatch (2.0.42) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + dpatch: Drop versioned constraint on bash in Depends.
    + Remove 1 maintscript entries from 1 files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 11:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: dpatch
 Architecture: all
 Multi-Arch: foreign
-Depends: bash (>= 3.0-6), dpkg-dev, ${perl:Depends}, ${misc:Depends}
+Depends: dpkg-dev, ${perl:Depends}, ${misc:Depends}
 Recommends: fakeroot, patchutils
 Suggests: curl
 Description: patch maintenance system for Debian source packages
